package cz.moneta.test.dsl.wso2;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.wso2.MockServerEndpoint;
import cz.moneta.test.harness.support.rest.RawRestRequest;

public class MockServer {

    private final Harness harness;

    public MockServer(Harness harness) {
        this.harness = harness;
    }

    public RawRestRequest.Path prepareRequest() {
        MockServerEndpoint endpoint = harness.getEndpoint(MockServerEndpoint.class);
        return RawRestRequest.jsonBuilder(endpoint);
    }

}
